getAllSignedDocument

Get all signed document details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
tradeIdyesstringTrade ID that is generated by the API

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getAllSignedDocument
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d tradeId=232242322

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
SignedDocumentDetailsstringArray of signed document details

Sample Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "SignedDocumentDetails": {
        "orderId": "896835457",
        "id": "798817",
        "documentId": "271baf64-70e4-42e2-8310-ddf556d2fc76",
        "esignstatus": "SIGNED",
        "templateName": " 08a1f630-f3cc-4d66-84ff-e87c3f95f685--Advisory Test",
        "widgetTemplate": "",
        "docsId": null,
        "developerAPIKey": "xAgBUo4fIbTeCUPLfNs00E4oLPSOUpZra3i",
        "offeringId": "35034",
        "accountId": "A21451",
        "partyId": "P11462",
        "party_type": "IndivACParty",
        "escrowId": null,
        "transactionType": "WIRE",
        "totalAmount": "1000.000000",
        "totalShares": "10.000000",
        "orderStatus": "CREATED",
        "createdDate": "2019-02-19 12:28:16",
        "createdIpAddress": "182.71.143.70",
        "errors": "",
        "documentKey": "",
        "esignStatus": "NOTSIGNED",
        "users": "",
        "field1": "",
        "field2": "",
        "field3": "",
        "archived_status": "0"
    }
}

Test it Yourself!

Body Params
string
required
string
required
string
required
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!